Bug 859397 - libhbalinux needs to have a 'Require(post): grep'
Summary: libhbalinux needs to have a 'Require(post): grep'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libhbalinux
Version: 18
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-09-21 12:47 UTC by Karsten Hopp
Modified: 2012-12-20 16:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 16:03:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Karsten Hopp 2012-09-21 12:47:32 UTC
Description of problem:
Installing : libhbalinux-1.0.14-2.fc18.x86_64                          134/431
DEBUG: /var/tmp/rpm-tmp.HAtItK: Line 7: grep: Command not found.

This happens because grep has to be available for the postinstall scriptlet, but depending on the install order isn't there yet. Adding a Requires(post) will help determining the correct install order of packages.

Comment 1 Fedora Update System 2012-10-03 12:19:37 UTC
libhbalinux-1.0.14-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libhbalinux-1.0.14-4.fc18

Comment 2 Fedora Update System 2012-10-03 17:02:33 UTC
Package libhbalinux-1.0.14-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libhbalinux-1.0.14-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15284/libhbalinux-1.0.14-4.fc18
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2012-12-20 16:03:27 UTC
libhbalinux-1.0.14-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.